import { AllHTMLAttributes, ElementType, ReactNode } from 'react';
import { Atoms } from '../../atoms/atoms.css';
import * as styles from './Text.css';
interface TextStyleProps {
    align?: Atoms['textAlign'];
    fontSize?: Atoms['fontSize'];
    type?: Exclude<keyof typeof styles.font, 'brand' | 'heading'>;
    weight?: Atoms['fontWeight'];
    color?: Atoms['color'];
    textDecoration?: Atoms['textDecoration'];
}
export interface TextProps extends TextStyleProps, Omit<AllHTMLAttributes<HTMLElement>, 'type' | 'color'> {
    component?: ElementType;
    children: ReactNode;
}
export declare const useTextStyles: ({ weight, type, align, fontSize, color, textDecoration, }: TextStyleProps) => string | undefined;
export declare const Text: import("react").ForwardRefExoticComponent<TextProps & import("react").RefAttributes<HTMLElement>>;
export {};
